/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;

/**
 * Utility for splitting HEAD from GET/POST/PUT/DELETE requests in a standard webserver log file
 * 
 * @author Ole.Matzura
 */

public class HEADRequestRemover
{
	public static void main(String[] args) throws Exception
	{
		File in = new File( args[0] );
		File out = new File( args[1] );
		File headOut = new File( args[2] );
		
		BufferedReader reader = new BufferedReader( new FileReader( in ));
		FileWriter writer = new FileWriter( out );
		FileWriter headWriter = new FileWriter( headOut );
		
		String ln = reader.readLine();
		int lnCnt = 0;
		int headCnt = 0;
		
		while( ln != null )
		{
			lnCnt++;
			
			if( ln.indexOf( "] \"HEAD ") == -1 )
			{
				writer.write( ln );
				writer.write( "\r\n" );
			}
			else
			{
				headWriter.write( ln );
				headWriter.write( "\r\n" );
				headCnt++;
			}
			
			ln = reader.readLine();
		}
		
		reader.close();
		writer.close();
		headWriter.close();
		
		System.out.println( "Processed file contained " + lnCnt + " lines, extracted " + headCnt + " HEAD requests" );
	}

}
