/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.teststeps.actions;

import java.util.ArrayList;
import java.util.List;

import com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion;
import com.eviware.soapui.support.action.SoapUIActionMapping;
import com.eviware.soapui.support.action.SoapUIActionRegistry.SeperatorAction;
import com.eviware.soapui.support.action.support.DefaultActionMapping;
import com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup;

/**
 * SoapUIActionGroup for a WsdlMessageAssertion
 * 
 * @author ole.matzura
 */

public class WsdlMessageAssertionSoapUIActionGroup extends DefaultSoapUIActionGroup<WsdlMessageAssertion>
{
	public WsdlMessageAssertionSoapUIActionGroup( String id, String name )
	{
		super( id, name );
	}

	@Override
	public List<SoapUIActionMapping<WsdlMessageAssertion>> getActionMappings( WsdlMessageAssertion modelItem )
	{
		List<SoapUIActionMapping<WsdlMessageAssertion>> actions = super.getActionMappings( modelItem );
		List<SoapUIActionMapping<WsdlMessageAssertion>> result = new ArrayList<SoapUIActionMapping<WsdlMessageAssertion>>(actions);

		int index = 0;
		
		if( modelItem.isConfigurable() )
		{
			DefaultActionMapping<WsdlMessageAssertion> actionMapping = new DefaultActionMapping<WsdlMessageAssertion>( 
						ConfigureAssertionAction.SOAPUI_ACTION_ID, "ENTER", null, true, modelItem );
			
			actionMapping.setName( "Configure" );
			actionMapping.setDescription( "Configures this Assertion" );
			
			result.add( 0, actionMapping);
			index++;
		}
		
		if( modelItem.isClonable() )
		{
			DefaultActionMapping<WsdlMessageAssertion> actionMapping = new DefaultActionMapping<WsdlMessageAssertion>( 
						CloneAssertionAction.SOAPUI_ACTION_ID, "F9", null, true, modelItem );
			
			result.add( 1, actionMapping);
			index++;
		}
		
		result.add( 1, SeperatorAction.getDefaultMapping() );
		
		return result;
	}
}
