/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.settings;

import com.eviware.soapui.settings.Setting.SettingType;

/**
 * SSL-Proxy settings constants
 * 
 * @author Ole.Matzura
 */

public interface SSLSettings
{
	@Setting( name="keyStore", description="local keyStore to use", type=SettingType.FILE )
	public final static String KEYSTORE = SSLSettings.class.getSimpleName() + "@" + "keyStore";
	
	@Setting( name="keyStore password", description="keyStore password", type=SettingType.PASSWORD )
	public final static String KEYSTORE_PASSWORD = SSLSettings.class.getSimpleName() + "@" + "keyStorePassword";
	
	/*
	@Setting( name="keyMaterials", description="local keyMaterials to use", type=SettingType.FILELIST )
	public final static String KEYMATERIALS = SSLSettings.class.getSimpleName() + "@" + "keyMaterials";
	*/
	/*
	@Setting( name="trustStore", description="local trustStore to use", type=SettingType.FILE )
	public final static String TRUSTSTORE = SSLSettings.class.getSimpleName() + "@" + "trustStore";
	
	@Setting( name="trustStore password", description="trustStore password", type=SettingType.PASSWORD )
	public final static String TRUSTSTORE_PASSWORD = SSLSettings.class.getSimpleName() + "@" + "trustStorePassword";
	*/
}
